Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1194994 - Please add multiversion support for nodejs-colors
Summary: Please add multiversion support for nodejs-colors
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs-packaging
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: T.C. Hollingsworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1194993
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-21 18:54 UTC by Piotr Popieluch
Modified: 2016-02-27 21:16 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-27 21:16:10 UTC


Attachments (Terms of Use)

Description Piotr Popieluch 2015-02-21 18:54:26 UTC
Description of problem:
current nodejs-colors version in Fedora is 0.6.3, the newest version is 1.0.3 which has backwards incompatible changes. Many modules which depend on colors have not update to 1.0.3 and it is questionalbe if they soon/ever will.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 T.C. Hollingsworth 2015-02-21 21:38:10 UTC
Which Fedora/EPEL branches will this be done for?

Comment 2 Piotr Popieluch 2015-02-21 22:04:47 UTC
For me f21, f22, rawhide and epel7 will do.

@Ralph, do you need more branches?

Comment 3 Ralph Bean 2015-02-23 15:44:51 UTC
No, that will do. Thank you!

Comment 4 T.C. Hollingsworth 2015-02-24 23:51:14 UTC
Thanks, I'll add it when the review is done.

(I'll try and take a look at it soon if no one beats me to it, but my first priority today is a security update to nodejs core.)

Comment 5 Jan Kurik 2015-07-15 14:30:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 6 Piotr Popieluch 2016-02-27 21:16:10 UTC
Colors is updated in rawhide


Note You need to log in before you can comment on or make changes to this bug.